<?php
/* $id: mysql.php, v. 1.0 2006/11/30 19:53:58 */
/**
 * MySQL, the best Database Host for PHP applications
 *
 * PHP Version 4 and 5
 *
 * This global class extend the abstract DB class implementation.  This permite,
 * connect and use databases for MySQL Database Host.  The available interface
 * was rewrited entery respective the initial release.  This class define the
 * runtime variables and the specified syntax of MySQL.  For more information
 * about how work this, see the MySQL included virtual documentation or visit
 * the official site of the project: http://www.mysql.com
 *
 * @category   database
 * @package    MySQL
 * @link       http://www.wallmedia.com/
 * @copyright  Copyright  2006 by Wallmedia, Inc.
 * @author     Wallmedia Developers Staff <devstaff@wallmedia.com>
 * @version    1.0
 * @since      Class with initial release
 * @deprecated Class not deprecated
 */

/**#@+
 * Dependencies includes
 */
// --> @require_once "core/database/db.php";

/**
 * Dependencies extension validation
 */

if (!extension_loaded("mysql")) {
    if (substr(PHP_OS, 0, 3) == "WIN")              // Windows Platform
        $ext = @dl("php_mysql.dll");
    else                                            // Unix Platform
        $ext = @dl("mysql.so");

    if ($ext == false) {
        trigger_error("MySQL Error: The extension can not be loaded.", E_USER_ERROR);
        exit;
    }
}

/**
 * Global variables definition
 */
$GLOBALS["_DB_DRIVER"]               = "mysql";     // Database Name
$GLOBALS["_DB_DRIVER_NAME_INTERNAL"] = "mysql";     // Internal Database Engine

/**
 * Global constants definition
 */
define("DB_DISPLAY_NAME"       , "MySQL");                  // Database Display Name
define("DB_CONNECT"            , "mysql_connect");          // Database defined function for connect to host

define("DB_CONST_NUM"          , MYSQL_NUM);                // Return Numeric Indexes
define("DB_CONST_ASSOC"        , MYSQL_ASSOC);              // Return Associative Array
define("DB_CONST_BOTH"         , MYSQL_BOTH);               // Return boths types

define("DB_FETCH_ARRAY"        , "mysql_fetch_array");      // Return as Array
define("DB_FETCH_OBJECT"       , "mysql_fetch_object");     // Return as Object
define("DB_NUM_ROWS"           , "mysql_num_rows");         // Return the rows number in a query

define("DB_QUERY"              , "mysql_query");            // Send Query function

define("DB_SECTION_DELIM_LEFT" , "[");                      // Query Section Statements Delimiters
define("DB_SECTION_DELIM_RIGTH", "]");
define("DB_VAR_DELIM_LEFT"     , "%");                      // Query Vars Delimiters
define("DB_VAR_DELIM_RIGHT"    , "%");

/**
 * MySQL defined syntax query statements
 */
define("DB_CREATE_DATABASE", "[CREATE DATABASE %db_name%][IF NOT EXISTS][CHARACTER SET %charset_name%][COLLATE %collation_name%]");
define("DB_SHOW_DATABASES" , "[SHOW DATABASES][LIKE %db%]");

class mysql extends db { }
?>
